<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
});
</script>
<template>
  <SlpContainer class="container">
    <SlpRow>
      <SlpColumn :cols="12">
        <SlpTypography tag="h2" variant="heading2-bold" class="slp-mb-48">{{
          data.title
        }}</SlpTypography></SlpColumn
      >
    </SlpRow>
    <SlpRow>
      <SlpColumn :cols="12" class="main-featured-item">
        <div class="featured-card">
          <div class="featured-card__image">
            <nuxt-img
              src="/nuxt-images/developer-survey/2023-devsecops-survey-landing-page-opengraph.jpg"
              format="webp"
              quality="99"
            ></nuxt-img>
          </div>
          <div class="featured-card__text">
            <div class="slp-flex slp-mb-16">
              <SlpIcon name="report" variant="marketing" class="slp-mr-8" />
              <SlpTypography tag="span" variant="body2">Survey</SlpTypography>
            </div>
            <SlpTypography tag="h4" variant="heading4-bold" class="slp-mb-16">{{
              data.featured_card.title
            }}</SlpTypography>
            <SlpTypography tag="p" variant="body1" class="slp-mb-32">
              {{ data.featured_card.description }}
            </SlpTypography>
            <SlpButton
              :href="data.featured_card.button.fields.externalUrl"
              :data-ga-name="data.featured_card.button.fields.dataGaName"
              :data-ga-location="
                data.featured_card.button.fields.dataGaLocation
              "
              variant="tertiary"
              class="featured-card__text--btn"
            >
              {{ data.featured_card.button.fields.text
              }}<SlpIcon
                :variant="data.featured_card.button.fields.iconVariant"
                :name="data.featured_card.button.fields.iconName"
              />
            </SlpButton>
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
    <SlpRow v-if="data.cards" class="cards slp-mb-96">
      <SlpColumn
        v-for="card in data.cards"
        :key="card.title + Math.random()"
        class="card"
        :cols="3"
      >
        <SlpCard100
          :link="card.button.fields.externalUrl"
          :data-ga-name="card.button.fields.dataGaName"
          :data-ga-location="card.button.fields.dataGaLocation"
          :resource-type="card.subtitle"
          :icon="card.iconName"
        >
          <div class="slp-card100__slot--title">
            <SlpTypography tag="h5" variant="heading5-bold" class="slp-mb-16">{{
              card.title
            }}</SlpTypography>
            <SlpTypography tag="p" variant="body1" class="slp-mb-16">
              {{ card.description }}
            </SlpTypography>
          </div>
          <div class="slp-card100__slot--cta">
            <span>{{ card.button.fields.text }}</span
            ><SlpIcon
              :variant="card.button.fields.iconVariant"
              :name="card.button.fields.iconName"
            /></div></SlpCard100
      ></SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.container {
  @media (max-width: $breakpoint-md) {
    padding: 0 $spacing-16;
  }
  .main-featured-item {
    min-width: 100%;
    margin-bottom: $spacing-32;

    &:hover {
      border-bottom-right-radius: 100px;
    }

    .featured-card {
      display: flex;
      align-items: center;
      background-color: $color-surface-800;
      border-radius: 4px;

      @media (max-width: $breakpoint-md) {
        flex-direction: column;
      }

      &:hover {
        border-bottom-right-radius: 100px;
        background: linear-gradient(
          93.83deg,
          rgba(199, 177, 254, 0.4) 7.27%,
          rgba(255, 212, 216, 0.4) 105.33%
        );
        cursor: pointer;
      }

      &__image {
        display: flex;
        align-items: center;
        min-height: 408px;
        max-width: 555px;
        background-color: $color-surface-700;

        img {
          max-width: inherit;

          @media (max-width: $breakpoint-md) {
            width: 100%;
          }
        }
      }

      &__text {
        padding: $spacing-48;
        min-height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-around;

        &--btn {
          padding-left: 0;
          padding-top: 0;
          margin-top: $spacing-48;
          font-size: 20px;

          @media (max-width: $breakpoint-lg) {
            margin-top: 0;
          }
        }
      }
    }
  }

  .cards {
    display: flex;
    justify-content: space-between;

    .card {
      position: relative;
      min-width: 365px;
      @media (max-width: $breakpoint-md) {
        min-width: 100%;
      }

      @media (max-width: $breakpoint-lg) {
        margin-bottom: $spacing-16;
      }

      .slp-card100 {
        background-color: $color-surface-800;
        padding: $spacing-32;
        min-width: 100%;
        min-height: 100%;
        border-radius: 4px;
        @media (max-width: $breakpoint-md) {
          min-width: 100%;
          margin: 0;
        }

        &:hover {
          background: linear-gradient(
            93.83deg,
            rgba(199, 177, 254, 0.4) 7.27%,
            rgba(255, 212, 216, 0.4) 105.33%
          );
        }
      }

      .slp-card100__slot--cta {
        position: absolute;
        bottom: $spacing-32;
      }

      .slp-card100__slot--title {
        margin-bottom: $spacing-16;
      }
    }
  }
}
</style>
